%global  snapshot 20140926

Name:           hex-a-hop
Version:        1.2.0
Release:        git%{snapshot}.1%{?dist}
Summary:        Puzzle game based on hexagonal tiles

License:        GPLv2+
URL:            https://sourceforge.net/projects/hexahop
Source0:        %{name}-%{version}-git%{snapshot}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  gettext-devel
BuildRequires:  ImageMagick
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  SDL_Pango-devel
BuildRequires:  SDL_ttf-devel

Requires:       hicolor-icon-theme
Requires:       liberation-serif-fonts

%description
Hex-a-Hop is a hexagonal tile-based puzzle game with one simple goal:
destroy all green tiles! There are infinite undos and no time limits --
you just have to find a way to destroy all the green tiles and step on
a safe tile at the end.

%prep
%setup -q -n %{name}-%{version}-git%{snapshot}

%build
./autogen.sh
%configure
make %{?_smp_mflags}


%install
%make_install
mkdir -p %{buildroot}%{_datadir}/pixmaps/
convert data/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
rm -f %{buildroot}%{_datadir}/%{name}/font.ttf
ln -s %{_datadir}/fonts/liberation/LiberationSerif-Regular.ttf \
      %{buildroot}%{_datadir}/%{name}/font.ttf

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

for size in 48 96 128 192 256; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/apps
  convert data/hex-a-hop.png -resize ${size} \
      %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/apps/%{name}.png
done
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/16x16/apps
install -m644 data/hex-a-hop-16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png


%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README TODO
%license COPYING
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man6/%{name}.6.*


%changelog
* Fri Jan 02 2015 Mario Blättermann <mario.blaettermann@gmail.com> - 1.2.0-git20140926.1
- New upstream version based on a Git snapshot
- Use the %%license macro
- New icon sizes (rhbz #1157543)

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Jan 11 2014 Mario Blättermann <mario.blaettermann@gmail.com> - 1.1.0-4
- Fixed URL
- Added man pages from the Debian project
- Spec file cleanup

* Tue Jan 07 2014 Mario Blättermann <mario.blaettermann@gmail.com> - 1.1.0-3
- Removed nonfree sound files

* Sun Jan 05 2014 Mario Blättermann <mario.blaettermann@gmail.com> - 1.1.0-2
- Added *.desktop file and icon
- Removed bundled font

* Sat Jan 04 2014 Mario Blättermann <mario.blaettermann@gmail.com> - 1.1.0-1
- Initial build
